import ContentCard from "@/components/ContentCard";
import TitleBanner from "@/components/home/TitleBanner";
import Introduction from "@/components/home/Introduction";
import Blogs from "@/components/home/Blogs";
import Changelog from "@/components/home/Changelog";
import Contact from "@/components/home/Contact";
import { ChangelogHandler } from "../../lib/obtain-changelog";
import { LogItem } from "../../lib/log-item";

const changelogHandler = new ChangelogHandler();

export default function Home() {

  const changelogData: LogItem[] = changelogHandler.getRecentChangelog();

  return (
    <>
      <ContentCard innerClass={"!shadow-zinc-600"}>
        <TitleBanner />
      </ContentCard>

      <div
        className="mt-4 grid auto-rows-auto sm:grid-cols-1 md:grid-cols-2 lg:grid-cols-[400px_auto_400px] gap-4 ">
        <Introduction />
        <Changelog changelogData={changelogData} />
        <Blogs />
        <Contact />
      </div>
    </>
  )
}
